
using WCS.BLL.DbModels;
using WCS.Model;
using WCS.Model.ApiModel;
using WCS.Model.ApiModel.MatBaseInfo;
using WCS.Model.ApiModel.User;

namespace WCS.BLL.Services.IService
{

    public interface IMatBaseInfoService
    {
        public Task<PageQueryResponse<MatBaseInfo>> getMatBaseInfo(GetMatBaseInfoRequest request);

        public Task<PageQueryResponse<MatBaseInfo>> exportMatBaseInfo(GetMatBaseInfoRequest request);

        public Task<ResponseCommon<List<string>>> importMatBaseInfo(List<MatBaseInfoImportModel> lists, string userName, string deviceType);

        public Task<ResponseCommon<object>> addOrUpdateMatBaseInfo(AddMatBaseInfoRequest<MatBaseInfo> request);

        public Task<ResponseCommon<object>> deleteMatBaseInfo(DeleteInfosRequest request);

        public Task<ResponseCommon<List<string>>> getMatCodeList(GetMatCodeListRequest request);


        public Task<PageQueryResponse<MatInfo>> getMatInfo(GetMatInfoRequest request);

        public Task<ResponseCommon> printedMatInfo(PrintedMatInfoRequest request);
    }
}
